<?php
namespace PHPMaker2020\hostelmgr20;

// Session
if (session_status() !== PHP_SESSION_ACTIVE)
	session_start(); // Init session data

// Output buffering
ob_start();

// Autoload
include_once "autoload.php";
?>
<?php

// Write header
WriteHeader(FALSE);

// Create page object
$health_add = new health_add();

// Run the page
$health_add->run();

// Setup login status
SetupLoginStatus();
SetClientVar("login", LoginStatus());

// Global Page Rendering event (in userfn*.php)
Page_Rendering();

// Page Rendering event
$health_add->Page_Render();
?>
<?php include_once "header.php"; ?>
<script>
var fhealthadd, currentPageID;
loadjs.ready("head", function() {

	// Form object
	currentPageID = ew.PAGE_ID = "add";
	fhealthadd = currentForm = new ew.Form("fhealthadd", "add");

	// Validate form
	fhealthadd.validate = function() {
		if (!this.validateRequired)
			return true; // Ignore validation
		var $ = jQuery, fobj = this.getForm(), $fobj = $(fobj);
		if ($fobj.find("#confirm").val() == "F")
			return true;
		var elm, felm, uelm, addcnt = 0;
		var $k = $fobj.find("#" + this.formKeyCountName); // Get key_count
		var rowcnt = ($k[0]) ? parseInt($k.val(), 10) : 1;
		var startcnt = (rowcnt == 0) ? 0 : 1; // Check rowcnt == 0 => Inline-Add
		var gridinsert = ["insert", "gridinsert"].includes($fobj.find("#action").val()) && $k[0];
		for (var i = startcnt; i <= rowcnt; i++) {
			var infix = ($k[0]) ? String(i) : "";
			$fobj.data("rowindex", infix);
			<?php if ($health_add->Health_Issue->Required) { ?>
				elm = this.getElements("x" + infix + "_Health_Issue");
				if (elm && !ew.isHidden(elm) && !ew.hasValue(elm))
					return this.onError(elm, "<?php echo JsEncode(str_replace("%s", $health_add->Health_Issue->caption(), $health_add->Health_Issue->RequiredErrorMessage)) ?>");
			<?php } ?>
			<?php if ($health_add->Status->Required) { ?>
				elm = this.getElements("x" + infix + "_Status[]");
				if (elm && !ew.isHidden(elm) && !ew.hasValue(elm))
					return this.onError(elm, "<?php echo JsEncode(str_replace("%s", $health_add->Status->caption(), $health_add->Status->RequiredErrorMessage)) ?>");
			<?php } ?>

				// Call Form_CustomValidate event
				if (!this.Form_CustomValidate(fobj))
					return false;
		}

		// Process detail forms
		var dfs = $fobj.find("input[name='detailpage']").get();
		for (var i = 0; i < dfs.length; i++) {
			var df = dfs[i], val = df.value;
			if (val && ew.forms[val])
				if (!ew.forms[val].validate())
					return false;
		}
		return true;
	}

	// Form_CustomValidate
	fhealthadd.Form_CustomValidate = function(fobj) { // DO NOT CHANGE THIS LINE!

		// Your custom validation code here, return false if invalid.
		return true;
	}

	// Use JavaScript validation or not
	fhealthadd.validateRequired = <?php echo Config("CLIENT_VALIDATE") ? "true" : "false" ?>;

	// Dynamic selection lists
	fhealthadd.lists["x_Status[]"] = <?php echo $health_add->Status->Lookup->toClientList($health_add) ?>;
	fhealthadd.lists["x_Status[]"].options = <?php echo JsonEncode($health_add->Status->options(FALSE, TRUE)) ?>;
	loadjs.done("fhealthadd");
});
</script>
<script>
loadjs.ready("head", function() {

	// Client script
	// Write your client script here, no need to add script tags.

});
</script>
<?php $health_add->showPageHeader(); ?>
<?php
$health_add->showMessage();
?>
<form name="fhealthadd" id="fhealthadd" class="<?php echo $health_add->FormClassName ?>" action="<?php echo CurrentPageName() ?>" method="post">
<?php if ($Page->CheckToken) { ?>
<input type="hidden" name="<?php echo Config("TOKEN_NAME") ?>" value="<?php echo $Page->Token ?>">
<?php } ?>
<input type="hidden" name="t" value="health">
<input type="hidden" name="action" id="action" value="insert">
<input type="hidden" name="modal" value="<?php echo (int)$health_add->IsModal ?>">
<div class="ew-add-div"><!-- page* -->
<?php if ($health_add->Health_Issue->Visible) { // Health_Issue ?>
	<div id="r_Health_Issue" class="form-group row">
		<label id="elh_health_Health_Issue" for="x_Health_Issue" class="<?php echo $health_add->LeftColumnClass ?>"><?php echo $health_add->Health_Issue->caption() ?><?php echo $health_add->Health_Issue->Required ? $Language->phrase("FieldRequiredIndicator") : "" ?></label>
		<div class="<?php echo $health_add->RightColumnClass ?>"><div <?php echo $health_add->Health_Issue->cellAttributes() ?>>
<span id="el_health_Health_Issue">
<input type="text" data-table="health" data-field="x_Health_Issue" name="x_Health_Issue" id="x_Health_Issue" size="30" maxlength="55" placeholder="<?php echo HtmlEncode($health_add->Health_Issue->getPlaceHolder()) ?>" value="<?php echo $health_add->Health_Issue->EditValue ?>"<?php echo $health_add->Health_Issue->editAttributes() ?>>
</span>
<?php echo $health_add->Health_Issue->CustomMsg ?></div></div>
	</div>
<?php } ?>
<?php if ($health_add->Status->Visible) { // Status ?>
	<div id="r_Status" class="form-group row">
		<label id="elh_health_Status" class="<?php echo $health_add->LeftColumnClass ?>"><?php echo $health_add->Status->caption() ?><?php echo $health_add->Status->Required ? $Language->phrase("FieldRequiredIndicator") : "" ?></label>
		<div class="<?php echo $health_add->RightColumnClass ?>"><div <?php echo $health_add->Status->cellAttributes() ?>>
<span id="el_health_Status">
<?php
$selwrk = ConvertToBool($health_add->Status->CurrentValue) ? " checked" : "";
?>
<div class="custom-control custom-checkbox d-inline-block">
	<input type="checkbox" class="custom-control-input" data-table="health" data-field="x_Status" name="x_Status[]" id="x_Status[]" value="1"<?php echo $selwrk ?><?php echo $health_add->Status->editAttributes() ?>>
	<label class="custom-control-label" for="x_Status[]"></label>
</div>
</span>
<?php echo $health_add->Status->CustomMsg ?></div></div>
	</div>
<?php } ?>
</div><!-- /page* -->
<?php if (!$health_add->IsModal) { ?>
<div class="form-group row"><!-- buttons .form-group -->
	<div class="<?php echo $health_add->OffsetColumnClass ?>"><!-- buttons offset -->
<button class="btn btn-primary ew-btn" name="btn-action" id="btn-action" type="submit"><?php echo $Language->phrase("AddBtn") ?></button>
<button class="btn btn-default ew-btn" name="btn-cancel" id="btn-cancel" type="button" data-href="<?php echo $health_add->getReturnUrl() ?>"><?php echo $Language->phrase("CancelBtn") ?></button>
	</div><!-- /buttons offset -->
</div><!-- /buttons .form-group -->
<?php } ?>
</form>
<?php
$health_add->showPageFooter();
if (Config("DEBUG"))
	echo GetDebugMessage();
?>
<script>
loadjs.ready("load", function() {

	// Startup script
	// Write your table-specific startup script here
	// console.log("page loaded");

});
</script>
<?php include_once "footer.php"; ?>
<?php
$health_add->terminate();
?>